NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Facet::CurvatureBuilder Class Reference

Represents a NXOpen::Facet::CurvatureBuilder . More...

Inheritance diagram for NXOpen::Facet::CurvatureBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

NXOpen::SelectDisplayableObjectListBodies ()
 Returns the input facet body list. More...
 
double ConcaveRadius ()
 Returns the concave radius threshold
Created in NX5.0.0. More...
 
double ConvexRadius ()
 Returns the convex radius threshold
Created in NX5.0.0. More...
 
void DeleteCurvature ()
 Deletes the curvature data associated with the input facet bodies. More...
 
NXOpen::Facet::SelectFacetedBodyListFacetBodies ()
 Returns the input facet body list
More...
 
bool IsDirectionReversed ()
 Returns the reverse direction option
Created in NX5.0.0. More...
 
void SetConcaveRadius (double concaveRadius)
 Sets the concave radius threshold
Created in NX5.0.0. More...
 
void SetConvexRadius (double convexRadius)
 Sets the convex radius threshold
Created in NX5.0.0. More...
 
void SetDirectionReversed (bool directionReversed)
 Sets the reverse direction option
Created in NX5.0.0. More...
 
void SetSmoothingFactor (double smoothingFactor)
 Sets the smoothing factor
Created in NX5.0.0. More...
 
double SmoothingFactor ()
 Returns the smoothing factor
Created in NX5.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Facet::CurvatureBuilder .

It calculates the maximum absolute principal curvature on facet bodies and creates a color map of these values.
To create a new instance of this class, use NXOpen::Facet::FacetedBodyCollection::CreateFacetCurvatureBuilder

Created in NX5.0.0.

Member Function Documentation

NXOpen::SelectDisplayableObjectList* NXOpen::Facet::CurvatureBuilder::Bodies ( )

Returns the input facet body list.

Inputs to this command can be convergent objects.
Created in NX11.0.0.

License requirements : None

double NXOpen::Facet::CurvatureBuilder::ConcaveRadius ( )

Returns the concave radius threshold
Created in NX5.0.0.



License requirements : None

double NXOpen::Facet::CurvatureBuilder::ConvexRadius ( )

Returns the convex radius threshold
Created in NX5.0.0.



License requirements : None

void NXOpen::Facet::CurvatureBuilder::DeleteCurvature ( )

Deletes the curvature data associated with the input facet bodies.

Call this method in order to save memory if the curvature data are not needed any more.
Created in NX5.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::Facet::SelectFacetedBodyList* NXOpen::Facet::CurvatureBuilder::FacetBodies ( )

Returns the input facet body list

Deprecated:
Deprecated in NX11.0.0.

Use NXOpen::Facet::CurvatureBuilder::Bodies instead.


Created in NX5.0.0.

License requirements : None

bool NXOpen::Facet::CurvatureBuilder::IsDirectionReversed ( )

Returns the reverse direction option
Created in NX5.0.0.



License requirements : None

void NXOpen::Facet::CurvatureBuilder::SetConcaveRadius ( double  concaveRadius)

Sets the concave radius threshold
Created in NX5.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
concaveRadiusconcave radius
void NXOpen::Facet::CurvatureBuilder::SetConvexRadius ( double  convexRadius)

Sets the convex radius threshold
Created in NX5.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
convexRadiusconvex radius
void NXOpen::Facet::CurvatureBuilder::SetDirectionReversed ( bool  directionReversed)

Sets the reverse direction option
Created in NX5.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
directionReverseddirection reversed
void NXOpen::Facet::CurvatureBuilder::SetSmoothingFactor ( double  smoothingFactor)

Sets the smoothing factor
Created in NX5.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
smoothingFactorsmoothing factor
double NXOpen::Facet::CurvatureBuilder::SmoothingFactor ( )

Returns the smoothing factor
Created in NX5.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.